<?php

namespace patest\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetCategories-Request StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:GetCategories-Request
 * @subpackage Structs
 */
class GetCategories_Request extends ExtensibleDataContract
{
    /**
     * The ExcludeServices
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $ExcludeServices;
    /**
     * Constructor method for GetCategories-Request
     * @uses GetCategories_Request::setExcludeServices()
     * @param bool $excludeServices
     */
    public function __construct($excludeServices = null)
    {
        $this
            ->setExcludeServices($excludeServices);
    }
    /**
     * Get ExcludeServices value
     * @return bool|null
     */
    public function getExcludeServices()
    {
        return $this->ExcludeServices;
    }
    /**
     * Set ExcludeServices value
     * @param bool $excludeServices
     * @return \patest\StructType\GetCategories_Request
     */
    public function setExcludeServices($excludeServices = null)
    {
        // validation for constraint: boolean
        if (!is_null($excludeServices) && !is_bool($excludeServices)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($excludeServices, true), gettype($excludeServices)), __LINE__);
        }
        $this->ExcludeServices = $excludeServices;
        return $this;
    }
}
